Subject: Re: linux-next: build failure after merge of the mediatek tree

From: Daniel Lezcano <[email-masked]>
Date: Tue, 18 Jun 2024 20:03:48 +0200

On 18/06/2024 18:45, Julien Panis wrote:
> On 6/18/24 12:20, AngeloGioacchino Del Regno wrote:
>> Il 18/06/24 12:03, AngeloGioacchino Del Regno ha scritto:
>>> Il 18/06/24 09:49, Julien Panis ha scritto:
>>>> On 6/17/24 18:44, Mark Brown wrote:
>>>>> Hi all,
>>>>>
>>>>> After merging the mediatek tree, today's linux-next build (arm64
>>>>> defconfig) failed like this:
>>>>>
>>>>> /tmp/next/build/arch/arm64/boot/dts/rockchip/rk3568-wolfvision-pf5-display.dtsi:113.6-121.3: Warning (graph_port): /fragment@4/__overlay__: graph port node name should be 'port'
>>>>> Error: 
>>>>> /tmp/next/build/arch/arm64/boot/dts/mediatek/mt8186.dtsi:2399.29-30 
>>>>> syntax error
>>>>> FATAL ERROR: Unable to parse input tree
>>>>> make[4]: *** [/tmp/next/build/scripts/Makefile.lib:431: 
>>>>> arch/arm64/boot/dts/mediatek/mt8186-corsola-magneton-sku393216.dtb] 
>>>>> Error 1
>>>>>
>>>>> Caused by commit
>>>>>
>>>>>    d7c1bde38bf37a5 ("arm64: dts: mediatek: mt8186: add default 
>>>>> thermal zones")
>>>>>
>>>>> I have used the last version of the mediatek tree from 20240613 
>>>>> instead.
>>>>
>>>> Hello Mark,
>>>>
>>>> Here is the explanation:
>>>> https://lore.kernel.org/all/[email-masked]/
>>>> https://lore.kernel.org/all/[email-masked]/
>>>>
>>>> For some reason, the 2 first commits of the series were not applied
>>>> with the dts. These commits are needed because they contain some
>>>> definitions used by the dts.
>>>>
>>>> Julien
>>>
>>> I'm not sure how should I proceed here.
>>>
>>
>> Reiterating, I'm sure how should I proceed.
>>
>> I'm removing those patches from mediatek for-next until further notice.
>>
>> Regards,
>> Angelo
> 
> Just for my information: Should we just wait for another maintainer
> to pick the 2 missing patches ? Who is in charge of doing it ?

I've picked the 2 first patches but they are going through the 
validation process through our CI. They will be available in a couple of 
days in linux-next.

If you want me to drop them and let them go through the Mediatek tree, 
just let me know.

-- 
<http://www.linaro.org/> Linaro.org │ Open source software for ARM SoCs

Follow Linaro:  <http://www.facebook.com/pages/Linaro> Facebook |
<http://twitter.com/#!/linaroorg> Twitter |
<http://www.linaro.org/linaro-blog/> Blog